import { useLocalStore } from 'mobx-react-lite';
export default function useStore() {
  return useLocalStore(function () {
    return {
      pvLabelsList: [],

      get getPvLabelsList() {
        return this.pvLabelsList;
      },

      setPvLabelsList: function setPvLabelsList(data) {
        this.pvLabelsList = data;
      },
      envList: [],

      get getEnvList() {
        return this.envList;
      },

      setEnvList: function setEnvList(data) {
        this.envList = data;
      },
      mysqlParams: [],

      get getMysqlParams() {
        return this.mysqlParams;
      },

      setMysqlParams: function setMysqlParams(data) {
        this.mysqlParams = data;
      },
      serviceVersionList: [],

      get getServiceVersionList() {
        return this.serviceVersionList;
      },

      setServiceVersionList: function setServiceVersionList(data) {
        this.serviceVersionList = data;
      },
      hostList: [],

      get getHostList() {
        return this.hostList;
      },

      setHostList: function setHostList(data) {
        this.hostList = data;
      }
    };
  });
}